LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-05-2019, 01:38 AM   #1
cycojesus
Member
 
Registered: Dec 2005
Location: Lyon, France
Distribution: Slackware-current
Posts: 116

Rep: Reputation: 79
[BUG] php and argon2 in latest -current (2019.07.04)


Following the latest update of -current php has trouble with argon2:
Code:
# sudo -u apache php -f /var/www/vhosts/nextcloud-server/htdocs/cron.php
php: error while loading shared libraries: libargon2.so.1: cannot open shared object file: No such file or directory

Furthermore php fails to compile (official slackbuild) ending with
Code:
checking for Argon2 support... yes
checking for Argon2 library... found in /usr
checking for argon2id_hash_raw in -largon2... no
configure: error: Problem with libargon2.(a|so). Please verify that Argon2 header and libaries >= 20161029 are installed
EDIT:
Code:
cp /usr/lib/x86_64-linux-gnu/libargon2.* /usr/lib64/
works as a dirty fix

Last edited by cycojesus; 07-05-2019 at 01:43 AM.
 
Old 07-05-2019, 02:35 AM   #2
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 4,661

Rep: Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784
The libargon library is on the correct directory already
Code:
cat /var/lib/pkgtools/packages/argon2-20171227-x86_64-1 
PACKAGE NAME:     argon2-20171227-x86_64-1
COMPRESSED PACKAGE SIZE:     32K
UNCOMPRESSED PACKAGE SIZE:     130K
PACKAGE LOCATION: argon2-20171227-x86_64-1.txz
PACKAGE DESCRIPTION:
argon2: argon2 (Argon2 password-hashing function)
argon2:
argon2: This is the reference C implementation of Argon2, the password-hashing
argon2: function that won the Password Hashing Competition
argon2: (see https://password-hashing.net).
argon2:
argon2: Argon2 is a password-hashing function that summarizes the state of the
argon2: art in the design of memory-hard functions and can be used for
argon2: credential storage, key derivation, or other applications.
argon2:
argon2: Homepage: https://github.com/P-H-C/phc-winner-argon2
FILE LIST:
./
install/
install/doinst.sh
install/slack-desc
usr/
usr/bin/
usr/bin/argon2
usr/doc/
usr/doc/argon2-20171227/
usr/doc/argon2-20171227/CHANGELOG.md
usr/doc/argon2-20171227/LICENSE
usr/doc/argon2-20171227/README.md
usr/include/
usr/include/argon2.h
usr/lib64/
usr/lib64/libargon2.so.1
usr/lib64/pkgconfig/
usr/lib64/pkgconfig/libargon2.pc                                                                                                                                                    
usr/man/                                                                                                                                                                            
usr/man/man1/
usr/man/man1/argon2.1.gz
 
Old 07-05-2019, 03:06 AM   #3
cycojesus
Member
 
Registered: Dec 2005
Location: Lyon, France
Distribution: Slackware-current
Posts: 116

Original Poster
Rep: Reputation: 79
Not in the latest version, it's not. Take note of the package version, mine is from latest (July 4th) update:
Code:
PACKAGE NAME:     argon2-20190702-x86_64-1
COMPRESSED PACKAGE SIZE:     36K
UNCOMPRESSED PACKAGE SIZE:     170K
PACKAGE LOCATION: ./argon2-20190702-x86_64-1.txz
PACKAGE DESCRIPTION:
argon2: argon2 (Argon2 password-hashing function)
argon2:
argon2: This is the reference C implementation of Argon2, the password-hashing
argon2: function that won the Password Hashing Competition
argon2: (see https://password-hashing.net).
argon2:
argon2: Argon2 is a password-hashing function that summarizes the state of the
argon2: art in the design of memory-hard functions and can be used for
argon2: credential storage, key derivation, or other applications.
argon2:
argon2: Homepage: https://github.com/P-H-C/phc-winner-argon2
FILE LIST:
./
install/
install/doinst.sh
install/slack-desc
usr/
usr/bin/
usr/bin/argon2
usr/doc/
usr/doc/argon2-20190702/
usr/doc/argon2-20190702/CHANGELOG.md
usr/doc/argon2-20190702/LICENSE
usr/doc/argon2-20190702/README.md
usr/include/
usr/include/argon2.h
usr/lib/
usr/lib/x86_64-linux-gnu/
usr/lib/x86_64-linux-gnu/libargon2.a
usr/lib/x86_64-linux-gnu/libargon2.so.1
usr/lib/x86_64-linux-gnu/pkgconfig/
usr/lib/x86_64-linux-gnu/pkgconfig/libargon2.pc
usr/man/
usr/man/man1/
usr/man/man1/argon2.1.gz
 
4 members found this post helpful.
Old 07-05-2019, 04:25 AM   #4
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 4,661

Rep: Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784
Oh yeah, i haven't updated to the latest version
 
Old 07-05-2019, 05:06 AM   #5
phenixia2003
Senior Member
 
Registered: May 2006
Location: France
Distribution: Slackware
Posts: 1,052

Rep: Reputation: 1008Reputation: 1008Reputation: 1008Reputation: 1008Reputation: 1008Reputation: 1008Reputation: 1008Reputation: 1008
Hello,

The patch below solves this :

Code:
--- argon2.SlackBuild.orig      2019-01-10 23:05:49.000000000 +0100
+++ argon2.SlackBuild   2019-07-05 12:05:49.738548100 +0200
@@ -88,11 +88,9 @@
 
 # Fix build options and library path:
 sed -i "s/CFLAGS += -std=c89 -O3 -Wall -g -Iinclude -Isrc/CFLAGS += -std=c89 -Iinclude -Isrc/g" Makefile
-sed -i "s/LIBRARY_REL = lib/LIBRARY_REL = lib${LIBDIRSUFFIX}/g" Makefile
 sed -i "s/CFLAGS += -march=\$(OPTTARGET)/CFLAGS += ${SLKCFLAGS}/g" Makefile
 
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make LIBRARY_REL="lib${LIBDIRSUFFIX}" install DESTDIR=$PKG || exit 1
 
 # Ditch static library:
 rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libargon2.a
Then :

Code:
$ ./argon2.SlackBuild
...
Creating Slackware package:  /tmp/argon2-20190702-x86_64-1.txz

./
usr/
usr/lib64/
usr/lib64/libargon2.so.1
usr/lib64/pkgconfig/
usr/lib64/pkgconfig/libargon2.pc
usr/include/
usr/include/argon2.h
usr/doc/
usr/doc/argon2-20190702/
usr/doc/argon2-20190702/LICENSE
usr/doc/argon2-20190702/CHANGELOG.md
usr/doc/argon2-20190702/README.md
usr/man/
usr/man/man1/
usr/man/man1/argon2.1.gz
usr/bin/
usr/bin/argon2
install/
install/doinst.sh
install/slack-desc
Another way is to change :
Code:
sed -i "s/LIBRARY_REL = lib/LIBRARY_REL = lib${LIBDIRSUFFIX}/g"
by :
Code:
sed -i "s/LIBRARY_REL ?= lib.*/LIBRARY_REL = lib${LIBDIRSUFFIX}/g"

--
SeB
 
4 members found this post helpful.
Old 07-05-2019, 06:29 AM   #6
marrowsuck
Member
 
Registered: Sep 2006
Posts: 202

Rep: Reputation: 89
Thanks for the quick fix!
 
Old 07-05-2019, 11:24 PM   #7
khronosschoty
Member
 
Registered: Jul 2008
Distribution: Slackware
Posts: 648
Blog Entries: 2

Rep: Reputation: 514Reputation: 514Reputation: 514Reputation: 514Reputation: 514Reputation: 514
Quote:
Originally Posted by phenixia2003 View Post
Hello,

The patch below solves this :

[....]

--
SeB
I got bit by this too; so my thanks as well.
 
Old 07-06-2019, 06:24 AM   #8
willysr
Senior Member
 
Registered: Jul 2004
Location: Jogja, Indonesia
Distribution: Slackware-Current
Posts: 4,661

Rep: Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784Reputation: 1784
It has been rebuilt in latest -current, so grab the updates
 
  


Reply

Tags
bug, current, php



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] glibc and multilib issues after -current upgrades 2019-02-01 kgha Slackware 37 06-06-2020 01:49 AM
LXer: The current state of free music in 2019 LXer Syndicated Linux News 0 03-01-2019 05:33 PM
[SOLVED] Some issues with Slackware Current 64 Multilib Jan 28 2019. GreenFireFly Slackware 2 02-03-2019 12:21 AM
[SOLVED] xterm throw errors with latest terminus-font in latest -current bakura_666 Slackware 10 01-02-2019 03:47 AM
[BUG] Current pkgtools installpkg bug jazzor Slackware 7 04-16-2009 05:30 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 01:41 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration